function printf(...) 
	io.write(string.format(unpack(arg))) 
end
function InputConsole(...)
	Console_Input(string.format(unpack(arg)))
end

function ScriptName()
	return "test_lua_script"
end

function ScriptParams()
	return ""
end

function Created(ID, obj)	
	printf("%s - Created: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Destroyed(ID, obj)
	printf("%s - Destroyed: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Killed(ID, obj, killer)
	printf("%s - Killed: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Damaged(ID, obj, shooter, damage)
	printf("%s - Damaged: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Custom(ID, obj, message, param, sender)
	printf("%s - Custom: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Enemy_Seen(ID, obj, seen)
	printf("%s - Enemy_Seen: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Action_Complete(ID, obj, action)
	printf("%s - Action_Complete: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Animation_Complete(ID, obj, anim)
	printf("%s - Animation_Complete: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Poked(ID, obj, poker)
	printf("%s - Poked: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Entered(ID, obj, enter)
	printf("%s - Entered: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Exited(ID, obj, exit)
	printf("%s - Exited: %s\n", ScriptName(), Get_Preset_Name(obj))
end

function Timer_Expired(ID, obj, num)
	printf("%s - Timer_Expired: %s\n", ScriptName(), Get_Preset_Name(obj))
end
