#include "scripts.h"
#include "engine.h"
#include "Misc.h"
#define new new(__FILE__, __LINE__)

#include "Lua_Class.h"

#define method(class, name) {#name, class::name}

const luaL_reg LuaVector3::methods[] = {
  method(LuaVector3, AssignX),
  method(LuaVector3,AssignY),
  method(LuaVector3, AssignZ),
  method(LuaVector3, GetX),
  method(LuaVector3, GetY),
  method(LuaVector3, GetZ),
   
  method(LuaVector3, X),
  method(LuaVector3, Y),
  method(LuaVector3, Z),
  {0,0}
};

const luaL_reg LuaBox::methods[] = {
  method(LuaBox, GetCenter),
  method(LuaBox, SetCenter),
  method(LuaBox, GetExtent),
  method(LuaBox, SetExtent),
  {0,0}
};
